##
##  openldap.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         openldap
Summary:      Lightweight Directory Access Protocol (LDAP) Toolkit
URL:          http://www.openldap.org/
Vendor:       OpenLDAP Project
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Database
License:      GPL
Version:      2.1.12
Release:      20030108

#   list of sources
Source0:      ftp://ftp.openldap.org/pub/openldap/openldap-release/openldap-%{version}.tgz
Source1:      rc.openldap

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, sasl, openssl, db >= 4.1.24, make, gcc
PreReq:       OpenPKG, openpkg >= 20020206, sasl
AutoReq:      no
AutoReqProv:  no

%description
    OpenLDAP is an open source implementation of the Lightweight
    Directory Access Protocol. The suite includes: slapd: stand-alone
    LDAP server; slurpd:- stand-alone LDAP replication server; libraries
    implementing the LDAP protocol, and utilities, tools, and sample
    clients.

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags sasl}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --localstatedir=%{l_prefix}/var/openldap \
        --enable-ldbm \
        --with-ldbm-api=berkeley \
        --with-ldbm-module=static \
        --with-ldbm-type=btree \
        --enable-slurpd \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} subst -v -s \
        -e "s;^\\(prefix[^=]*=\\).*;\\1 $RPM_BUILD_ROOT%{l_prefix};g" \
        -e "s;^\\(exec_prefix[^=]*=\\).*;\\1 $RPM_BUILD_ROOT%{l_prefix};g" \
        -e "s;^\\(localstatedir[^=]*=\\).*;\\1 $RPM_BUILD_ROOT%{l_prefix}/var/openldap;g" \
        `find . -name Makefile -print`
    %{l_make} %{l_mflags} install
    rm -f $RPM_BUILD_ROOT%{l_prefix}/etc/openldap/*.default
    rm -f $RPM_BUILD_ROOT%{l_prefix}/etc/openldap/*/*.default
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/var/openldap
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.openldap} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/openldap/ldap*'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

